package liste_articles;

public interface Sujet {
	/**
	 * Ajoute un observateur à l'article
	 * @param o l'observateur à ajouter s'abonnant aux notifications de modification de l'article.
	 */
	public abstract void ajouterObservateur(Observateur o) ;
	
	/**
	 * Supprime un des observateurs de l'article
	 * @param o l'observateur à supprimer se désabonnant des notifications de modification de l'article.
	 */
	public abstract void supprimerObservateur(Observateur o) ;
	
	/**
	 * Notifie à tous les abonnés d'une modification de l'état de l'article.
	 */
	public abstract void notifierObservateurs() ;
}
